Bug 145186 - Kernel Panic on Kernels after
Kernel Panic on Kernels after
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 21:50 EST by Steve Hickel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 11:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Hickel 2005-01-14 21:50:32 EST
Description of problem:

On bootup from grub with Fedora Core 3 on a Compaq N160 Notebook with
256MB Ram, 20gb hdd, I get the following error on all Kernels after
2.6.9-1.724_FC3. 2.6.9-1.724_FC3 boots fine as do kernels before it.
After 2.6.9-1.724_FC3, I get the below on all bootups.


root (hd0,0)
Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.10-1.737_FC3 ro root=LABEL=/ rhgb quiet
[Linux-bzImage, setup=0x1400, size=0x15ddc1]
initrd /initrd-2.6.10-1.737_FC3.img
[Linux-initrd @ 0xfef000, 0x5ffbe bytes]

Uncompressing Linux... Ok, booting the kernel.
audit (1105453255.491:0): initialized
Red Hat nash version 4.1.18 starting
EXT3-fs: Unrecognized mount option "auto" or missing value
mount:error22 mounting ext3
mount: error 2 mounting none
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic -not syncing: Attempt to kill init!


Version-Release number of selected component (if applicable):


How reproducible:

Every time I boot up.

Steps to Reproduce:
1. Up2date to latest kernel
2. Reboot computer after shutdown
3. Grub comes up with latest kernel. Above error occurs.
  
Actual results:

Kernel Panics with below message:

root (hd0,0)
Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.10-1.737_FC3 ro root=LABEL=/ rhgb quiet
[Linux-bzImage, setup=0x1400, size=0x15ddc1]
initrd /initrd-2.6.10-1.737_FC3.img
[Linux-initrd @ 0xfef000, 0x5ffbe bytes]

Uncompressing Linux... Ok, booting the kernel.
audit (1105453255.491:0): initialized
Red Hat nash version 4.1.18 starting
EXT3-fs: Unrecognized mount option "auto" or missing value
mount:error22 mounting ext3
mount: error 2 mounting none
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic -not syncing: Attempt to kill init!


Expected results:

A proper boot up into linux Fedora Core 3.

Additional info:

Computer appears to work fine with the kernels before these lates
three or four. Someone suggested I put edd=off in my grup.conf.

Here is output from lspci -vv:

lspci -vv
00:00.0 Host bridge: Intel Corp. 82830 830 Chipset Host Bridge (rev 02)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort-<MAbort+ >SERR- <PERR-
        Latency: 0
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
        Capabilities: [40] Vendor Specific Information
        Capabilities: [a0] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64-
HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit-
FW+ Rate=x1

00:01.0 PCI bridge: Intel Corp. 82830 830 Chipset AGP Bridge (rev 02)
(prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
<TAbort-<MAbort- >SERR- <PERR-
        Latency: 96
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: d0100000-d01fffff
        Prefetchable memory behind bridge: d8000000-dfffffff
        Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-

00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #1) (rev 01)
(prog-if 00 [UHCI])
        Subsystem: Compaq Computer Corporation: Unknown device 009c
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 4: I/O ports at 1840 [size=32]

00:1d.1 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #2) (rev 01)
(prog-if 00 [UHCI])
        Subsystem: Compaq Computer Corporation: Unknown device 009c
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 10
        Region 4: I/O ports at 1860 [size=32]

00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 41)
(prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort-
<TAbort-<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: d0200000-d02fffff
        Secondary status: 66Mhz- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-

00:1f.0 ISA bridge: Intel Corp. 82801CAM ISA Bridge (LPC) (rev 01)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:1f.1 IDE interface: Intel Corp. 82801CAM IDE U100 (rev 01) (prog-if
8a [Master SecP PriP])
        Subsystem: Compaq Computer Corporation: Unknown device 009c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored>
        Region 1: I/O ports at <ignored>
        Region 2: I/O ports at <ignored>
        Region 3: I/O ports at <ignored>
        Region 4: I/O ports at 1800 [size=16]
        Region 5: Memory at 10000000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corp. 82801CA/CAM SMBus Controller (rev 01)
        Subsystem: Compaq Computer Corporation: Unknown device 009c
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin B routed to IRQ 5
        Region 4: I/O ports at 1820 [size=32]

00:1f.5 Multimedia audio controller: Intel Corp. 82801CA/CAM AC'97
Audio Controller (rev 01)
        Subsystem: Compaq Computer Corporation: Unknown device 005c
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 5
        Region 0: I/O ports at 1c00 [size=256]
        Region 1: I/O ports at 1880 [size=64]

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon
Mobility M6 LY (prog-if 00 [VGA])
        Subsystem: Compaq Computer Corporation: Unknown device b11b
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping+ SERR+ FastB2B+
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 2000 [size=256]
        Region 2: Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64-
HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP- GART64- 64bit-
FW- Rate=<none>
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:04.0 Communication controller: Conexant HSF 56k HSFi Modem (rev 01)
        Subsystem: Compaq Computer Corporation: Unknown device 8d88
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at d0210000 (32-bit, non-prefetchable)
[disabled] [size=64K]
        Region 1: I/O ports at 3040 [disabled] [size=8]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A
IEEE-1394a-2000 Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: Compaq Computer Corporation: Unknown device b1b1
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (500ns min, 1000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at d0201000 (32-bit, non-prefetchable) [size=2K]
        Region 1: Memory at d0204000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME+

02:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 01)
        Subsystem: Compaq Computer Corporation: Unknown device b103
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168, Cache Line Size 20
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00004000-000040ff
        I/O window 1: 00004400-000044ff
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+
PostWrite+
        16-bit legacy interface ports at 0001

02:08.0 Ethernet controller: Intel Corp. 82801CAM (ICH3) PRO/100 VE
(LOM) Ethernet Controller (rev 41)
        Subsystem: Compaq Computer Corporation: Unknown device 0093
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min, 14000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at d0200000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 3000 [size=64]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable+ DSel=0 DScale=2 PME-


Here is my grup.conf:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this
file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda2
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=7
splashimage=(hd0,0)/grub/splash.xpm.gz
title Fedora Core (2.6.10-1.741_FC3)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.741_FC3 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.10-1.741_FC3.img
title Fedora Core (2.6.10-1.737_FC3)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.737_FC3 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.10-1.737_FC3.img
title Fedora Core (2.6.9-1.724_FC3)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-1.724_FC3 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.9-1.724_FC3.img
title Fedora Core (2.6.9-1.681_FC3)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-1.681_FC3 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.9-1.681_FC3.img
title Fedora Core (2.6.9-1.667)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-1.667 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.9-1.667.img
title Fedoora Core (2.6.5-1.358hamqos)
        root (hd0,0)
        kernel /vmlinuz-2.6.5-1.358hamqos ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.5-1.358hamqos.img
Comment 1 Peter Jones 2005-01-19 11:00:50 EST
If you run the commands below as root, what happens?

zcat /boot/initrd-2.6.10-1.741_FC3.img > /tmp/initrd.img
mkdir /tmp/initrd
mount -o loop /tmp/initrd.img /tmp/initrd

Does it mount cleanly?  If not, your initrd is being created incorrectly.  Try
making it with mkinitrd, instead of letting the kernel upgrade do that itself. 
If that won't mount with the above commands, try booting into a much older
kernel (like .667) and running mkinitrd there.  If that will mount, reboot to
the latest working kernel, and try mounting the image you made under .667.
Comment 2 Steve Hickel 2005-01-19 21:13:14 EST
[root@steve ~]# zcat /boot/initrd-2.6.10-1.741_FC3.img > /tmp/initrd.img
[root@steve ~]# mkdir /tmp/initrd
[root@steve ~]# mount -o loop /tmp/initrd.img /tmp/initrd
mount: you must specify the filesystem type
[root@steve ~]#

Pjones,

Not good enough with linux yet to know what you intend me to do after
the commands I ran. I typed mkinitrd and get this and am not sure what
to type in or how to proceed with your other additional suggestions. A
more step by step would help,

r,

Steve

mkinitrd
usage: mkinitrd [--version] [-v] [-f] [--preload <module>]
       [--omit-scsi-modules] [--omit-raid-modules] [--omit-lvm-modules]
       [--with=<module>] [--image-version] [--fstab=<fstab>]
[--nocompress]
       [--builtin=<module>] [--nopivot] <initrd-image> <kernel-version>

       (ex: mkinitrd /boot/initrd-2.2.5-15.img 2.2.5-15)
Comment 3 Peter Jones 2005-01-21 17:40:36 EST
If you run "file /tmp/initrd.img", what does it say?

To make a new initrd:

mkinitrd /boot/initrd-2.6.10-1.741_FC3.img.2 2.6.10-1.741_FC3

then add a grub.conf entry that's just like your other 2.6.10-1.741_FC3 entry,
but specifying the ".2" initrd, and try booting it.  If that still doesn't work,
boot into .667, and make a .741 initrd there, put it into grub.conf, and try it.

Basically I want to find out if mkinitrd works while you're running the old
kernel, if it works with the new one, or if we're somehow invoking it wrong in
grubby when you upgrade kernels.
Comment 4 Peter Jones 2005-04-01 11:18:25 EST
From: 	Steve Hickel <smhickel@chartermi.net>
Subject: 	Re: [Bug 145186] Kernel Panic on Kernels after
Date: 	Fri, 01 Apr 2005 09:08:16 -0500

The kernel panic went away after the kernel upgrade I did about two kernels
before the latest. Thanks for your help.

I can not highlight text in firefox. It lets me highlight stuff but when I let
go of the mouse, the highlight goes away. I also can't use the Cisco VPN client
with any of the newer kernels, but all else seems fine.

Note You need to log in before you can comment on or make changes to this bug.